Create Wikipedia Gorontalo
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Gorontalo.

Thank you.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 11:38 AM

Will do initial configuration.

Change 416929 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add gor to langs.tmpl

https://gerrit.wikimedia.org/r/416929

Change 416930 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for gorwiki

https://gerrit.wikimedia.org/r/416930

MarcoAurelio added a subscriber: MarcoAurelio.EditedMar 7 2018, 12:52 PM

Flow should not be enabled on further wikis that have not requested them afaik.

Urbanecm added a comment.EditedMar 7 2018, 3:05 PM

Flow.dblist is automated list. If you delete the wiki from flow.dblist, tests will fail and the patch will be unmergable normally (feel free to test, I'm 100% sure). If we want other behaviour, we must change the flow-computed.dblist or do not compute flow.dblist at all.. We really cannot change this out-of-process because of tests :).

Urbanecm triaged this task as Low priority.Mar 7 2018, 3:06 PM
Urbanecm added a project: User-Urbanecm.

and if we add it to nonflow?

That will help, but then...why the flow-computed thing thinks that flow is to be enabled by default and wikis can opt-out?

Dear all, please alter project talk namespace from "Diskusi Wikipedia" to "Lo'iya Wikipedia" based on this diff.

Thanks!

Beeyan added a subscriber: Beeyan.Mar 8 2018, 5:47 AM

@Rachmat04 In either way, you have to fill namespaces translation at T189127. This is an absolute requirement before creating the wiki.

MF-Warburg updated the task description. (Show Details)Mar 8 2018, 2:38 PM
MarcoAurelio updated the task description. (Show Details)Mar 8 2018, 5:49 PM

Change 416929 merged by Dzahn:
[operations/dns@master] Add gor to langs.tmpl

https://gerrit.wikimedia.org/r/416929

Mentioned in SAL (#wikimedia-operations) [2018-03-19T19:01:35Z] <mutante> DNS - authdns-gen-zones -f /srv/authdns/git/templates /etc/gdnsd/zones && gdnsd checkconf && gdnsd reload-zones on ns servers to recreate zone files to add new language "gor" to langs.tmpl (T189109)

Dzahn added a subscriber: Dzahn.Mar 19 2018, 7:10 PM

"gor" has been added.

gor.wikipedia.org has address 198.35.26.96
gor.wikipedia.org has IPv6 address 2620:0:863:ed1a::1

(from my location)

That will help, but then...why the flow-computed thing thinks that flow is to be enabled by default and wikis can opt-out?

The schema has changed since T188812 was resolved. Please remove this wiki from flow.dblist. It is not installed anymore on any further projects without explicit on-wiki consensus. The same should happen for all other patches of yours dealing with wiki creations :-) Thanks!

Dzahn removed a subscriber: Dzahn.Mar 21 2018, 2:57 PM

Change 416930 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for gorwiki

https://gerrit.wikimedia.org/r/416930

Change 427547 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Change 427547 merged by jenkins-bot:
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Mentioned in SAL (#wikimedia-operations) [2018-04-18T22:28:09Z] <Dereckson> Created database and set initial stuff for gor.wikipedia.org (T189109)

Dcljr added a subscriber: Dcljr.Apr 20 2018, 2:07 AM

I see that gor:Special:Statistics is full of zeros (except "Words in all content pages"), which doesn't seem normal at this point in the process (seeing as how importing is finished according to MF-Warburg). Is this an oversight on someone's part, or will it be fixed soon as part of the normal creation process? (I don't see the running of initSiteStats.php, for example, in the wiki-creation instructions.)

Whatever is done to fix this here needs to also be done for T183561 and T184374, as importing is also finished for those wikis and yet their on-wiki stats are still zeroed out.

And T189465 is similar, but importing is not marked as finished for that wiki yet.

I've requested the script run for Monday's EU SWAT window. If any op runs the script earlier please mark the task as done in that Wikitech page. Thanks.

Liuxinyu970226 added a comment.EditedApr 20 2018, 12:17 PM

@MarcoAurelio now I wonder how to fix

Urbanecm closed this task as Resolved.

Wiki itself was created and it is operational.

@Liuxinyu970226 There's simply no known (for the system) logo for gorwiki, see https://incubator.wikimedia.org/static/images/project-logos/gorwiki.png. Will fix in a follow up task.

MarcoAurelio reopened this task as Open.Apr 21 2018, 11:29 AM

Reopening. Missing configuration at InitialiseSettings.php: logo path, namespaces.

Change 428053 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] gorwiki: add missing logo path and namespaces

https://gerrit.wikimedia.org/r/428053

+ why was this wiki created without the most basic mediawiki namespaces translated? Now we're going to have namespace conflicts of all sorts when we update the configuration. No MessagesGor.php in https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/master/languages/messages/ either. Creating this before having MW translated was a bad idea IMHO.

Amended&scheduled for Monday EU SWAT.

Change 428053 merged by jenkins-bot:
[operations/mediawiki-config@master] gorwiki: add missing namespaces

https://gerrit.wikimedia.org/r/428053

Mentioned in SAL (#wikimedia-operations) [2018-04-23T13:35:19Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:428053|gorwiki: add missing namespaces (T189109)]] (duration: 01m 17s)

zfilipin@terbium:~$ mwscript namespaceDupes.php gorwiki
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
zfilipin@terbium:~$ mwscript namespaceDupes.php gorwiki --fix
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
Urbanecm closed this task as Resolved.Sun, May 20, 6:38 PM

The wiki is created.